> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataspike.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate a transfer check

> Screens a blockchain transfer for KYT risk and returns the full risk assessment.



## OpenAPI

````yaml https://api.dataspike.io/openapi/kyt/public.json put /api/v4/kyt/checks/transfer
openapi: 3.1.0
info:
  description: >-
    Know Your Transaction (KYT) — blockchain address, transaction and transfer
    risk analysis.
  title: Dataspike KYT API
  version: '4.0'
servers: []
security: []
paths:
  /api/v4/kyt/checks/transfer:
    put:
      tags:
        - Transfer Checks
      summary: Initiate a transfer check
      description: >-
        Screens a blockchain transfer for KYT risk and returns the full risk
        assessment.
      operationId: PUT_/api/v4/kyt/checks/transfer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InitTransferCheckRequest'
          application/xml:
            schema:
              $ref: '#/components/schemas/InitTransferCheckRequest'
        description: Request body for kyt.InitTransferCheckRequest
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
            application/xml:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlainMessage'
            application/xml:
              schema:
                $ref: '#/components/schemas/PlainMessage'
          description: Invalid request body.
        '402':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlainMessage'
            application/xml:
              schema:
                $ref: '#/components/schemas/PlainMessage'
          description: Billing limit reached.
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
          description: Validation error.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferCheckResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/TransferCheckResponse'
          description: Transfer check created.
      security:
        - ApiKey: []
components:
  schemas:
    InitTransferCheckRequest:
      description: InitTransferCheckRequest schema
      properties:
        blockchain:
          enum:
            - btc
            - eth
            - trx
          example: eth
          type: string
        recipient_address:
          example: '0xBE0eB53F46cd790Cd13851d5EFf43D12404d33E8'
          pattern: >-
            ^(0x[0-9a-fA-F]{40}|T[1-9A-HJ-NP-Za-km-z]{33}|[13][a-km-zA-HJ-NP-Z1-9]{25,34}|bc1[02-9ac-hj-np-z]{7,76}|BC1[02-9AC-HJ-NP-Z]{7,76})$
          type: string
        risk_profile_id:
          format: uuid
          nullable: true
          type: string
        sender_address:
          nullable: true
          pattern: >-
            ^(0x[0-9a-fA-F]{40}|T[1-9A-HJ-NP-Za-km-z]{33}|[13][a-km-zA-HJ-NP-Z1-9]{25,34}|bc1[02-9ac-hj-np-z]{7,76}|BC1[02-9AC-HJ-NP-Z]{7,76})$
          type: string
        token:
          enum:
            - ''
            - USDC
            - USDT
          example: ''
          nullable: true
          type: string
        transaction:
          example: '0x5c504ed432cb51138bcf09aa5e8a410dd4a1e204ef84bfed1be16dfba1b22060'
          pattern: ^(0x)?[0-9a-fA-F]{64}$
          type: string
      required:
        - recipient_address
        - transaction
      type: object
    PlainMessage:
      description: PlainMessage schema
      properties:
        message:
          type: string
      type: object
    ValidationErrorResponse:
      description: ValidationErrorResponse schema
      properties:
        errors:
          items:
            properties:
              field:
                type: string
              message:
                type: string
              type:
                type: string
            type: object
          type: array
        message:
          type: string
      type: object
    TransferCheckResponse:
      description: TransferCheckResponse schema
      properties:
        alerts:
          items:
            nullable: true
            properties:
              address:
                example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                type: string
              alert_id:
                example: 8d111a21-007e-4c87-b110-c11111dd4abf
                type: string
              balance:
                example: '0.150'
                nullable: true
                type: string
              blockchain:
                example: eth
                type: string
              date:
                format: date-time
                type: string
              id:
                example: 9d888b12-007e-2a09-a140-c77788dd4dba
                type: string
              risk_grade:
                example: high
                nullable: true
                type: string
              risk_profile:
                example: Standard
                type: string
              status:
                example: true
                type: boolean
              token:
                example: ''
                type: string
              triggered_by:
                items:
                  nullable: true
                  properties:
                    total:
                      example: '150.00'
                      type: string
                    total_count:
                      example: '3'
                      type: string
                    total_count_coef:
                      example: '0.01'
                      type: string
                    type:
                      example: SANCTIONS
                      nullable: true
                      type: string
                    type_label:
                      example: Sanctions
                      type: string
                  type: object
                nullable: true
                type: array
            type: object
          type: array
        block_number:
          example: 19500000
          nullable: true
          type: integer
        blockchain:
          enum:
            - btc
            - eth
            - trx
          example: eth
          type: string
        error:
          example: ''
          nullable: true
          type: string
        from_entity:
          items:
            nullable: true
            properties:
              name:
                example: Coinbase
                type: string
              type:
                example: EXCHANGE_LICENSED
                type: string
              type_label:
                example: Licensed Exchange
                type: string
            type: object
          type: array
        id:
          example: a1b2c3d4-e5f6-4890-8bcd-ef1234567890
          format: uuid
          type: string
        indirects:
          items:
            nullable: true
            properties:
              risk_score_grade:
                example: moderate
                nullable: true
                type: string
              total:
                example: '50.00'
                nullable: true
                type: string
              total_count:
                example: '1'
                nullable: true
                type: string
              total_count_coef:
                example: '0.005'
                nullable: true
                type: string
              type:
                example: MIXING_SERVICE
                nullable: true
                type: string
              type_label:
                example: Mixing Service
                nullable: true
                type: string
            type: object
          type: array
        risk_score:
          example: '0.15'
          nullable: true
          type: string
        risk_score_grade:
          enum:
            - high
            - moderate
            - low
            - undefined
          example: low
          nullable: true
          type: string
        status:
          example: success
          type: string
        timestamp:
          format: date-time
          nullable: true
          type: string
        to_entity:
          items:
            nullable: true
            properties:
              name:
                example: Unknown
                type: string
              type:
                example: ONLINE_WALLET
                type: string
              type_label:
                example: Online Wallet
                type: string
            type: object
          type: array
        token:
          enum:
            - ''
            - USDC
            - USDT
          example: ''
          type: string
      type: object
  securitySchemes:
    ApiKey:
      description: API token passed in the request header.
      in: header
      name: ds-api-token
      type: apiKey

````